aboutsummaryrefslogtreecommitdiffstats
path: root/kud/tests/_common_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kud/tests/_common_test.sh')
-rwxr-xr-xkud/tests/_common_test.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/kud/tests/_common_test.sh b/kud/tests/_common_test.sh
new file mode 100755
index 00000000..be22db9a
--- /dev/null
+++ b/kud/tests/_common_test.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright 2019 © Samsung Electronics Co., Ltd.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# install_deps() - Install dependencies required for functional tests
+function install_deps {
+ if ! $(jq --version &>/dev/null); then
+ source /etc/os-release || source /usr/lib/os-release
+ case ${ID,,} in
+ *suse)
+ ;;
+ ubuntu|debian)
+ sudo apt-get install -y jq
+ ;;
+ rhel|centos|fedora)
+ ;;
+ esac
+ fi
+}